Employees

Create employee

POST
/api/public/v3/employees

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/public/v3/employees" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'first_name=string&last_name=string&email=string&hired_on=string'
{  "data": {    "id": 0,    "status": "string",    "access": true,    "employee_number": null,    "full_name": "string",    "first_name": "string",    "middle_name": null,    "last_name": "string",    "avatar_url": "string",    "email": "string",    "personal_email": null,    "date_of_birth": null,    "probation_ends_on": null,    "hired_on": "string",    "gender": null,    "legal_entity": null,    "position": null,    "job_level": null,    "location": null,    "employment_type": null,    "division": null,    "job_profile": null,    "department": null,    "reporting_to": null,    "created_at": "string",    "updated_at": "string",    "direct_reports": null,    "fields": {}  }}